#
# spec file for package python3-jupyter_core-doc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && ( 0%{?suse_version} != 1315 && 0%{?suse_version} > 1110 )
%define build_pdf 1
%else
%define build_pdf 0
%endif

Name:           python3-jupyter_core-doc
Version:        4.1.0
Release:        2.4
Summary:        Documentation for python3-jupyter_core
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://jupyter.org
Source:         https://pypi.python.org/packages/source/j/jupyter_core/jupyter_core-%{version}.tar.gz
BuildRequires:  python3-Sphinx
BuildRequires:  python3-jupyter_core
%if %{build_pdf}
BuildRequires:  python3-Sphinx-latex
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Documentation and help files for python3-jupyter_core in HTML format

%package html
Summary:        HTML documentation for python3-jupyter_core
Group:          Development/Languages/Python
Recommends:     python3-jupyter_core = %{version}

%description html
Documentation and help files for python3-jupyter_core in HTML format

%package pdf
Summary:        PDF documentation for python3-jupyter_core
Group:          Development/Languages/Python
Recommends:     python3-jupyter_core = %{version}

%description pdf
Documentation and help files for python3-jupyter_core in PDF format

%prep
%setup -q -n jupyter_core-%{version}

%build
# Not needed

%install
# Build the documentation
pushd docs
%if %{build_pdf}
PYTHONPATH=%{buildroot}%{python3_sitelib} make latexpdf
%endif
PYTHONPATH=%{buildroot}%{python3_sitelib} make html
rm -rf _build/html/.buildinfo
popd

%files html
%defattr(-,root,root,-)
%doc COPYING.md
%doc docs/_build/html/

%if %{build_pdf}
%files pdf
%defattr(-,root,root,-)
%doc COPYING.md
%doc docs/_build/latex/jupyter_core.pdf
%endif

%changelog
* Mon May  9 2016 toddrme2178@gmail.com
- Update to 4.1.0
  - Add ``jupyter.py`` module, so that :command:`python -m jupyter` always works.
  - Add prototype ``jupyter troubleshoot`` command for displaying environment info.
  - Ensure directory containing ``jupyter`` executable is included when dispatching subcommands.
  - Unicode fixes for Legacy Python.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Wed Feb 17 2016 toddrme2178@gmail.com
- Simplify the tests for whether to build pdf documentation
* Fri Feb 12 2016 toddrme2178@gmail.com
- Split documentation to speed up building.
  This is a dependency of a lot of other packages, and the
  dependencies for the documentation are very heavy.  So build
  the documentation separately to avoid holding up the build
  process.
* Thu Oct  1 2015 toddrme2178@gmail.com
- Don't install hidden file.
* Wed Sep 30 2015 toddrme2178@gmail.com
- Build documentation
* Sat Sep 19 2015 arun@gmx.de
- update to version 4.0.6:
  * fix typo preventing migration when custom.css is missing
- changes from version 4.0.5:
  * fix subcommands on Windows (yes, again)
  * fix migration when custom.js/css are not present
* Mon Aug 24 2015 toddrme2178@gmail.com
- Update to 4.0.4
  * ensure version is printed to stdout …
  * remove file-extension from subcommand list on Windows
- Update requirements
* Fri Aug 21 2015 toddrme2178@gmail.com
- Add pbr requirement
* Fri Aug 14 2015 toddrme2178@gmail.com
- Update to 4.0.3
  * use raw_input on Python 2
  * Use setuptools entry points when setuptools in use
  * Use instances of traits instead of trait classes
- Fix package naming consistency
* Fri Aug 14 2015 toddrme2178@gmail.com
- Fix update-alternatives usage
* Thu Aug 13 2015 toddrme2178@gmail.com
- Update dependency names
* Tue Jul 21 2015 jennings@neuro.bzm
- Initial version
